INTERFACE
SUBROUTINE CPEULDYN(&
 & CDCONF,KST,KPROF,PDT,&
 & POROG,PGFL,PTSOL,PQSOL,PNHXT0,&
 & PGNORDL,PGNORDM,&
 & PRCORI,PRCORIC,PGM,PRATATH,PRATATX,PSDVBC,PKENE,PEVEL,PVVEL,&
 & PSGRTL,PSGRTM,&
 & PVCASRSF,PVCASRSH,PVCWF,PWDLWF,&
 & PRES0,PRDELP,PKAP,PTNDPD,PTNDVD,P3DIVG,PD3Y9,PNHXT9,&
 & PD3Y0,PGFLT1,PGMVT1,PGMVT1S,PGFLPC,PGMV,PGMVS,&
 & PB2) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA ,NPROMVC ,NPROMDLW
USE YOMGMV , ONLY : NDIMGMV,NDIMGMVS,YT0,YT1,YT9
USE YOMSC2 , ONLY : NFLDSLB2
USE YOM_YGFL , ONLY : YGFL ,YGFLC ,YQ
CHARACTER(LEN=1) ,INTENT(IN) :: CDCONF
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: PDT
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGFL(NPROMA,NFLEVG,YGFL%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSOL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PQSOL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PNHXT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRCORI(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRCORIC(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRATATH(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRATATX(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSDVBC(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PKENE(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PEVEL(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVVEL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSGRTL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSGRTM(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCASRSF(NPROMVC,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCASRSH(NPROMVC,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCWF(NPROMVC,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PWDLWF(NPROMDLW,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRES0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PKAP(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTNDPD(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTNDVD(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: P3DIVG(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PD3Y9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PNHXT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PD3Y0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFLT1(NPROMA,NFLEVG,YGFL%NDIM1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVT1(NPROMA,NFLEVG,YT1%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVT1S(NPROMA,YT1%NDIMS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFLPC(NPROMA,NFLEVG,YGFL%NDIMPC)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMV(NPROMA,NFLEVG,NDIMGMV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVS(NPROMA,NDIMGMVS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PB2(NPROMA,NFLDSLB2)
END SUBROUTINE CPEULDYN
END INTERFACE
